package com.gyee.alarm.model.auto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备故障模型
 * </p>
 *
 * @author shilin
 * @since 2023-08-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicDeviceFaultMode extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 编码
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 影响
     */
    private String effects;

    /**
     * 原因
     */
    private String cause;

    /**
     * 措施
     */
    private String measure;

    /**
     * 严重程度
     */
    private Integer severity;

    /**
     * 发生次数
     */
    private Integer occurence;

    /**
     * 发现次数
     */
    private Integer detection;

    /**
     * 设备
     */
    private String deviceid;

    /**
     * 结构编码
     */
    private String structureCode;

    /**
     * 型号
     */
    private String models;


}
