package com.gyee.alarm.model.auto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备模型
 * </p>
 *
 * @author shilin
 * @since 2023-08-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicDeviceModel extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 编码
     */
    private String code;

    /**
     * 设备
     */
    private String deviceId;

    /**
     * 名称
     */
    private String name;

    /**
     * 英文名
     */
    private String enname;

    /**
     * 场站编号
     */
    private String stationId;

    /**
     * 场站名称
     */
    private String stationName;

    /**
     * 描述
     */
    private String description;

    /**
     * 排序号
     */
    private Integer orderno;

    /**
     * 是否可用
     */
    private Boolean enabled;


}
