package com.gyee.alarm.service.auto.impl;

import com.gyee.alarm.model.auto.ProBasicFeatureStat;
import com.gyee.alarm.mapper.auto.ProBasicFeatureStatMapper;
import com.gyee.alarm.model.vo.AlarmVo;
import com.gyee.alarm.service.auto.IProBasicFeatureStatService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.alarm.util.StringUtils;
import jdk.nashorn.internal.ir.annotations.Reference;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 设备功能统计 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2023-08-14
 */
@Service
public class ProBasicFeatureStatServiceImpl extends ServiceImpl<ProBasicFeatureStatMapper, ProBasicFeatureStat> implements IProBasicFeatureStatService {

    @Resource
    private ProBasicFeatureStatMapper proBasicFeatureStatMapper;

    public List<ProBasicFeatureStat> searchByCondition(Date begin, Date end, String stationId,String wtId)
    {
        List<ProBasicFeatureStat> ls=new ArrayList<>();

        if(StringUtils.notEmp(begin) && StringUtils.notEmp(end) && StringUtils.notEmp(end))
        {
            ls=proBasicFeatureStatMapper.searchByCondition(begin,end,stationId,wtId);
        }
        return  ls;
    }
}
