package com.gyee;


import com.gyee.alarm.AlarmMain;
import com.gyee.alarm.service.AlarmBtService;
import com.gyee.alarm.service.AlarmCtService;
import com.gyee.alarm.service.AlarmInService;
import com.gyee.alarm.service.AlarmWtService;

import com.gyee.alarm.util.SpringUtils;
import org.springframework.boot.SpringApplication;

public class AppTest
{
    public static void main(String[] args) throws Exception {
        SpringApplication.run(AlarmMain.class, args);

        AlarmBtService alarmBtService= SpringUtils.getBean("alarmBtService");
        AlarmWtService alarmWtService= SpringUtils.getBean("alarmWtService");
        AlarmCtService alarmCtService= SpringUtils.getBean("alarmCtService");
        AlarmInService alarmInService= SpringUtils.getBean("alarmInService");


        alarmWtService.createSuperTable();
        alarmWtService.initalWtAlarm();
        alarmInService.initalInAlarm();

        alarmBtService.createSuperTable();
        alarmBtService.initalBtAlarm();

        alarmCtService.createSuperTable();
        alarmCtService.initalCtAlarm();

        System.out.println("完成！");


    }
}
